aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.travis.yml3
-rwxr-xr-xtest-bootstrap-jim10
2 files changed, 12 insertions, 1 deletions
diff --git a/.travis.yml b/.travis.yml
index a3e1dbc..1357691 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -5,6 +5,7 @@ addons:
packages:
- libsqlite3-dev
before_script:
- - ./configure --full --with-ext="sqlite3 zlib" --disable-docs
+ - ./configure --maintainer --full --with-ext=sqlite3,zlib --disable-docs
script:
- make test
+ - ./test-bootstrap-jim
diff --git a/test-bootstrap-jim b/test-bootstrap-jim
new file mode 100755
index 0000000..ed5a67a
--- /dev/null
+++ b/test-bootstrap-jim
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+echo "Building bootstrap jimsh"
+./make-bootstrap-jim >jimsh_bootstrap.c
+${CC:-cc} -o jimsh_bootstrap jimsh_bootstrap.c
+echo "Testing bootstrap jimsh"
+( cd tests; ../jimsh_bootstrap runall.tcl )
+echo "All tests passed"
+rm jimsh_bootstrap jimsh_bootstrap.c